Wiki | Community | Discussion Forum | Q&A

Error Obstacle_Avoidance


Hi, I have this problem and i dont know understand.

Hi @jesus.97,

Does the error persist? Try to sudo apt-get update and try the installation again.

Cheers,
Pedro

Even updating it, I still get the same bug, can I do something else to complete the installation?

Hi again @jesus.97,

Try to sudo apt-get update --fix-missing.

Also make sure that:

  • You have internet connection.
  • You have enough free disk space.
  • You have your public key for the JdeRobot updated:
 sudo sh -c 'echo "deb [arch=amd64] http://wiki.jderobot.org/apt `lsb_release -cs` main" > /etc/apt/sources.list.d/jderobot.list'
 sudo apt-key adv --keyserver keyserver.ubuntu.com --recv 24E521A4

One last thing, which instructions are you following to?

Pedro.

Hi again @pariasp

I managed to remove the error, but now i´ve got this one

Hi @jesus.97, that error is related with drone infrastructure. But why are you installing drone infrastructure for doing obstacle avoidance exercise???

Please follow the installation instructions in the web page of the Obstacle Avoidance Exercise (https://jderobot.github.io/RoboticsAcademy/exercises/AutonomousCars/obstacle_avoidance). For that exercise only the generic infrastructure is required!! as the web page says.

Just following the link to the generic infrastructure installation instructions (https://jderobot.github.io/RoboticsAcademy/installation/#generic-infrastructure) you may see that it is composed of ROS, Gazebo, JdeRobot-base and JdeRobot-assets. Nothing else!

Cheers

Are you running any ad-hoc installation script?. Watch out using non official scripts or recipes unless you know what you are doing… The best way to install Academy is to follow official installation instructions.

Cheers